GETPID(3)

NAME
getpid, getppid - get process ids

SYNOPSIS
#include <u.h>
#include <libc.h>

int getpid(void)

int getppid(void)

DESCRIPTION
Getpid reads /dev/pid (see cons(3)) and converts it to get the process id of the current process, a number guaranteed to be unique among all running processes on the machine executing getpid.

Getppid reads /dev/ppid (see cons(3)) and converts it to get the id of the parent of the current process.

SOURCE
/usr/local/plan9/src/libc/9sys

SEE ALSO
intro(3), cons(3), proc(3)

DIAGNOSTICS
Returns 0 and sets errstr if unsuccessful.